Package Base Details: eclipse

Git Clone URL: https://aur.archlinux.org/eclipse.git (read-only, click to copy)
Submitter: arojas
Maintainer: appadeia
Last Packager: appadeia
Votes: 32
Popularity: 6.69
First Submitted: 2020-05-01 18:40
Last Updated: 2020-09-20 00:42

Pinned Comments

appadeia commented on 2020-05-11 21:58

I've reverted changes that allowed multiple versions of Eclipse to be installed alongside eachother to investigate a less buggy method of allowing that.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

coderkun commented on 2020-09-20 12:37

@appadeia, okay, “2020-09” is the version name but the actual version is 4.17. Still, the “pkgver” of this package should now be 4.17.

coderkun commented on 2020-09-20 09:28

The “pkgrel” is only for changes of the buildscript. A new version of the application should bump the “pkgver”. I think version “2020-09” corresponds to 4.17.

But why not use the new versioning scheme for the package version?

Spixmaster commented on 2020-09-20 07:08

@stefan-zobel It seems that it was a mistake. It is fixed it now.

stefan-zobel commented on 2020-09-20 00:40

Why did the version drop from 4.16-6 to 4.16-1 ?

ComicSads commented on 2020-09-16 15:20

Why does this attempt to install every version of eclipse? Especially when the Java and jee versions conflict with each other, it seems like an unnecessary hassle.

MasterGeek.MX commented on 2020-09-04 03:53

DO NOT install this with makepkg. It will throw an error becasue it will try to install eveything and the java version conflicts with the jee version.

Run makepkg as you normally do but withouth the -i parameter. Then install the eclipse common and the desired version with pacman -U

example:

$ makepkg -sc

$ sudo pacman -U eclipse-{common,java}-4.16-6-x86_64.pkg.tar.zst

CaptainGiraffe commented on 2020-09-03 10:50

This package provides more than it should in my opinion. It downloads all the variants of eclipse and fails to satisfy dependencies especially eclipse-common. One way I found out to only install the latest version of eclipse java without any hassle is install the chaotic-aur repository. Update the system and now eclipse java will be available in your repositories ready to install without the need to compile. Here is the link to the unofficial user repository I used for this purpose. https://lonewolf.pedrohlc.com/chaotic-aur/

followait commented on 2020-08-12 14:10

failed to install, reproduce:

1 git clone https://aur.archlinux.org/eclipse.git

2 edit PKGBUILD, replace one line as below

# source_x86_64+=(http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/epp/downloads/release/$_release/$_src)
  source_x86_64+=(file:///local_path/$_src)

3 makepkg, error message:

curl: (37) Couldn't open file /local_path/eclipse-java-2020-06-R-linux-gtk-x86_64.tar.gz
==> ERROR: Failure while downloading file:///local_path/eclipse-java-2020-06-R-linux-gtk-x86_64.tar.gz
    Aborting...

4 questions:

4.1 Why does it try to find "eclipse-java-2020-06-R-linux-gtk-x86_64.tar.gz" instead of "eclipse-cpp-2020-06-R-linux-gtk-x86_64.tar.gz"?

4.2 How to install eclipse-cpp?

kronaemmanuel commented on 2020-08-07 15:48

Can I install just eclipse-java without installing/downloading any other? I'm currently getting an error where it says 'eclipse-common': File exists. The error occurs during prepare(). I don't even need the rest of the stuff, I just need eclipse-java.

mwyraz commented on 2020-07-29 06:39

Hello,

I'm always running eclipse with some custom environment variables set (commonly it's GTK_OVERLAY_SCROLLING=0 to get working scrollbars and GIT_SSH=/usr/bin/ssh to get working git ssh with ssh-agent support).

To set this env, I usually edit the launcher script at /usr/sbin/eclipse.

What do you think about this change to the launcher script that allows generic user-specific environment settings:

#!/bin/bash

# read user specific environment variables
if [ -f ~/.config/eclipse.rc ]; then
  . ~/.config/eclipse.rc
fi

export ECLIPSE_HOME=/usr/lib/eclipse
exec $ECLIPSE_HOME/eclipse "$@"